Disbursement (pay-out)Disburse to bank accounts in India (INR ): IFSC , cashAccount , and receiver are required; paymentMethod (bank / rail code) is optional. See Payment methods .
Request POST /v2.0/disbursement/pay-out
Request Path: sandbox: https://sandbox-gateway.smilepayz.com/v2.0/disbursement/pay-out production: https://gateway.smilepayz.com/v2.0/disbursement/pay-out
Field Required Type Description Content-TypeM String application/json X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm (e.g. IST +05:30). X-SIGNATUREM String Request signature; Signature Generation . X-PARTNER-IDM String merchantID (alphanumeric).
Body Parameters Field Required Type Description orderNoM String(32) 6–32 alphanumeric; unique per merchant. purposeM String(64) UTF-8; length 1–64. merchantM Object Merchant routing and settlement. merchantId M String Platform merchant ID. merchantName O String UTF-8 display name. subMerchantId O String Sub-merchant ID. subMerchantName O String Sub-merchant name (UTF-8). moneyM Object Amount and currency. currency M String INR only. amount M Number Integer minor units. paymentMethodO String(6) Optional; pay-out bank / rail code (e.g. YES , HDFC , SBI ). Payment methods . cashAccountM String(32) Beneficiary bank account number. ifscCodeM String(11) 11 -char IFSC (e.g. YESB0000097, HDFC0000001).receiverM Object Beneficiary details. name M String Beneficiary full name (UTF-8). callbackUrlO String(256) Webhook URL; HTTP(S); max 256.
Example Body – Disbursement Request: Header Min Body
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+05:30
X-SIGNATURE: 7MHd9v5/m9JeqmDZVwWBZUZ5J5...7120QnFEny7Qm7uQR1G0TWCh10fsU6nVxiRoeoQ==
X-PARTNER-ID: 20001
{
"ifscCode" : "YESB0000097" ,
"cashAccount" : "1234567890" ,
"merchant" : {
"merchantId" : "20019"
} ,
"receiver" : {
"name" : "testName"
} ,
"money" : {
"amount" : 10000 ,
"currency" : "INR"
} ,
"orderNo" : "20019a069b102-455d-41e8-9428-dac" ,
"paymentMethod" : "YES" ,
"purpose" : "Purpose For Disbursement from Java SDK"
}
Responses HTTP Request Field Required Type Description Content-TypeM String application/json X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm
Body Parameters Field Required Type Description codeM String 00 = success; other codes = error.messageM String Result text (UTF-8). orderNoM String Echo of orderNo . tradeNoO String Platform trade ID. merchantM Object Merchant Model . merchantId M String Merchant ID. merchantName O String Display name. subMerchantId O String Sub-merchant ID. subMerchantName O String Sub-merchant name. accountNo O String Merchant account when returned. moneyM Object Money Model . currency M String INR . amount M Number Integer minors. disbursementTimeM String When disbursement was processed (yyyy-MM-ddTHH:mm:ss±HH:mm). channelM Object Channel snapshot. paymentMethod M String Settled bank / rail code. cashAccount M String Beneficiary account echo. statusO String Status Model .
Example Body – Disbursement Response: Header Body
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+05:30
{
"code" : "00" ,
"message" : "Successful" ,
"orderNo" : "20019ae81ede6-07bb-4c77-9937-658" ,
"merchant" : {
"merchantId" : "20019" ,
"merchantName" : "20019" ,
"accountNo" : "21220019202402271029"
} ,
"money" : {
"currency" : "INR" ,
"amount" : 2000
} ,
"disbursementTime" : "2024-12-13T13:31:11+05:30" ,
"channel" : {
"paymentMethod" : "YES" ,
"cashAccount" : "123456789"
} ,
"tradeNo" : "122200192412131501111816" ,
"status" : "PROCESSING"
}
Notification/Callback HTTP Request Field Required Type Description Content-TypeM String application/json X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm X-SIGNATUREM String Callback signature; verify .
Body Parameters Field Required Type Description orderNoM String Same orderNo as payout request. tradeNoM String Platform tradeNo . merchantIdM String Merchant ID. merchantNameM String Display name. subMerchantIdO String Sub-merchant ID. subMerchantNameO String Sub-merchant name. paymentMethodM String Settled channel (e.g. YES , HDFC ). transactionTimeM String Completion time. moneyM Object Final amount; Money Model . currency M String INR . amount M Number Integer minors. statusM String Status Model .utrC String UTR when returned by bank.
Return Important
Respond with the string SUCCESS only.
Request Response
{
"orderNo" : "2000102900000000000001" ,
"tradeNo" : "1022000109e998347483949" ,
"merchantId" : "20001" ,
"merchantName" : "test" ,
"subMerchantId" : "" ,
"subMerchantName" : "" ,
"paymentMethod" : "YES" ,
"transactionTime" : "2024-12-17T10:55:00" ,
"status" : "SUCCESS" ,
"money" : {
"currency" : "INR" ,
"amount" : 10000
} ,
"utr" : "09787676778"
}
Prev
Pay-in collection